<template>
  <table class="network">
    <tr>
      <th scope="row">{{ t('type_label') }}</th>
      <td>{{ onWifi ? t("wifi_label") : t("ethernet_label") }}</td>
    </tr>
    <tr v-show="onWifi">
      <th scope="row">{{ t("ssid_label") }}</th>
      <td>{{ connection.ssid }}</td>
    </tr>
    <tr v-show="onWifi">
      <th scope="row">Signal</th>
      <td class="bars">
        <div
            :class="['bar', connection.signal > 5 ? 'active' : 'inactive']"
        ></div>
        <div
            :class="['bar', connection.signal > 30 ? 'active' : 'inactive']"
        ></div>
        <div
            :class="['bar', connection.signal > 55 ? 'active' : 'inactive']"
        ></div>
        <div
            :class="['bar', connection.signal > 80 ? 'active' : 'inactive']"
        ></div>
      </td>
    </tr>
    <tr>
      <th scope="row">IPv4</th>
      <td>{{ connection.ip4_address }}</td>
    </tr>
    <tr v-show="connection.ip6_address">
      <th scope="row">IPv6</th>
      <td>{{ connection.ip6_address }}</td>
    </tr>
  </table>
</template>

<script>
module.exports = {
  name: "network",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    },
    sourcesConfigured: {
      type: Boolean,
      required: false
    },
    records: {
      type: Array,
      required: false
    },
    language: {
      type: String,
      required: true
    },
    locale: {
      type: String,
      required: true
    },
    backendUrl: {
      type: String,
      required: true
    },
    fetchAsset: {
      type: Function,
      required: false
    }
  },
  computed: {
    onWifi: function () {
      return this.connection.interface_type === '802-11-wireless';
    },
    connection: function () {
      return {
        ...this.$store.state.systemStatus.network?.primary_connection,
        ...this.$store.state.systemStatus.network?.wifi_signal
      }
    }
  },
  locales: {
    enGb: {
      type_label: "Type",
      wifi_label: "WiFi",
      ethernet_label: "Ethernet",
      ssid_label: "Name",
    },
    deDe: {
      type_label: "Typ",
      wifi_label: "WLAN",
      ethernet_label: "LAN",
      ssid_label: "Name",
    },
    frFr: {
      type_label: "Type",
      wifi_label: "WiFi",
      ethernet_label: "Ethernet",
      ssid_label: "Nom",
    },
    esEs: {
      type_label: "Tipo",
      wifi_label: "WiFi",
      ethernet_label: "Ethernet",
      ssid_label: "Nombre",
    },
    plPl: {
      type_label: "Typ",
      wifi_label: "WiFi",
      ethernet_label: "Ethernet",
      ssid_label: "Nazwa",
    },
    koKr: {
      type_label: "유형",
      wifi_label: "와이파이",
      ethernet_label: "이더넷",
      ssid_label: "이름",
    }
  }
};
</script>
<style scoped>
.bars {
  width: 3rem;
  height: 1.25rem;
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
}

.bar {
  width: 22.5%;
}

.bar.active {
  background-color: white;
}

.bar.inactive {
  background-color: #2f3841;
}

.bar:first-child {
  height: 25%;
}

.bar:nth-child(2) {
  height: 50%;
}

.bar:nth-child(3) {
  height: 75%;
}

.bar:last-child {
  height: 100%;
}
</style>
